#!/bin/sh
#
# This is a scorpio26 startup file, it will create all neccessary settings
# in "$HOME"/.scorpio26
# Scorpio needs its .ini file in its start location. 
# It is hardwired so please use this startup file
# 
# This script was sligtly modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.scorpio26 ] ; then 
		mkdir "$HOME"/.scorpio26 ; 
	fi

if [ ! -d "$HOME"/.scorpio26/log ] ; then
		mkdir "$HOME"/.scorpio26/log ;
	fi

if [ ! -e "$HOME"/.scorpio26/scorpio.ini ] ; then 
		cp /usr/share/scorpio26/scorpio.ini "$HOME"/.scorpio26/ ; 
	fi

if [ ! -e "$HOME"/.scorpio26/book.dat ] ; then
		cp /usr/share/scorpio26/book.dat "$HOME"/.scorpio26/ ;
	fi

cd "$HOME"/.scorpio26/ 

/usr/bin/scorpio26.bin

exit 0
